MediaWiki 1.36/wmf.1

From MediaWiki.org
Jump to navigation Jump to search
TriangleArrow-Left.svgMediaWiki 1.36.0-wmf.0 Deployment of MediaWiki 1.36.0-wmf.1 to Wikimedia sites MediaWiki 1.36.0-wmf.2TriangleArrow-Right.svg

The latest version (labeled "1.36.0-wmf.1") of MediaWiki, the software that powers Wikipedia and its sister sites, is being deployed to all Wikimedia sites in stages, starting on Tuesday, 21 July 2020 (see the roadmap).

Core changes[edit]

Vendor[edit]

Extensions[edit]

3D[edit]

  • git #d032cf8b - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #94f760d5 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

AbuseFilter[edit]

  • git #69317449 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #9bb4a612 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

ActiveAbstract[edit]

  • git #e3e91208 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #7eba4292 - build: Updating npm dependencies by libraryupgrader
  • git #953b3090 - Apply minor cleanups to the AbstractFilter class by Thiemo Kreuz

AdvancedSearch[edit]

  • git #c5fdbd54 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #aae7af84 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

AntiSpoof[edit]

  • git #095c2a17 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #a50813f3 - build: Updating npm dependencies by libraryupgrader

ApiFeatureUsage[edit]

  • git #b89351d0 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #1bb6d6d0 - build: Updating npm dependencies by libraryupgrader

ArticleCreationWorkflow[edit]

  • git #d82624ae - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #b805cc80 - build: Updating npm dependencies by libraryupgrader

ArticlePlaceholder[edit]

No changes for ArticlePlaceholder

Babel[edit]

  • git #6549d049 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #6d3bb7e3 - build: Updating npm dependencies by libraryupgrader

BetaFeatures[edit]

  • git #4f13b7f4 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #151299de - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

BounceHandler[edit]

  • git #d3d64029 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #27451969 - build: Updating npm dependencies by libraryupgrader

Calendar[edit]

  • git #ba2f22ed - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #f7b59d2d - build: Updating npm dependencies by libraryupgrader

Campaigns[edit]

  • git #6fbd14ec - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #0d7da584 - build: Updating npm dependencies by libraryupgrader

Capiunto[edit]

  • git #05db34b2 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #9ea69427 - build: Updating npm dependencies by libraryupgrader

CategoryTree[edit]

  • git #0400efc5 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #25bba0cc - build: Updating npm dependencies by libraryupgrader

CentralAuth[edit]

  • git #b42f41e1 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #e887fd3c - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

CentralNotice[edit]

No changes for CentralNotice

CharInsert[edit]

No changes for CharInsert

CheckUser[edit]

CirrusSearch[edit]

Cite[edit]

  • git #d52f8cf5 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #063cc59e - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader
  • git #90728bde - Sync up with Parsoid citeParserTests.txt by C. Scott Ananian

CiteThisPage[edit]

  • git #55e68c9d - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #4b03a4fb - build: Updating npm dependencies by libraryupgrader

Citoid[edit]

  • git #4d24a5b5 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #65b4a660 - Fix keyboard accessibility of the manual citation options (task T257046) by Bartosz Dziewoński
  • git #bdab2ad0 - ve.ui.CitoidInspector: Fix typo in a comment by Bartosz Dziewoński
  • git #a2dbc3b2 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

cldr[edit]

  • git #fc03b366 - Fix typo in README: trough -> through by AntiCompositeNumber
  • git #0dbc7c4e - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #f18ee48f - build: Updating npm dependencies by libraryupgrader

CodeEditor[edit]

  • git #226d2c30 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #8cbde805 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

CodeMirror[edit]

  • git #2e6df076 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #d66ed8d7 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader
  • git #9f566d60 - Fix 'setSelection' in textSelection API by Ed Sanders

CodeReview[edit]

  • git #79b88341 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #0d5cfa62 - build: Updating npm dependencies by libraryupgrader

Cognate[edit]

  • git #68e329a8 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #ae93a14b - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

Collection[edit]

  • git #8f6a6c59 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #8d2f2313 - build: Updating npm dependencies by libraryupgrader

CommonsMetadata[edit]

  • git #bcadd7e4 - build: Updating grunt to 1.2.1 by libraryupgrader

ConfirmEdit[edit]

  • git #60912378 - build: Updating grunt to 1.2.1 by libraryupgrader

CongressLookup[edit]

  • git #356149de - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #43cc3ec5 - build: Updating npm dependencies by libraryupgrader

ContactPage[edit]

  • git #b8cec84c - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #c5129231 - build: Updating npm dependencies by libraryupgrader

ContentTranslation[edit]

  • git #870add5a - Localisation update: Remove missing messages from he by NikG
  • git #d790b8cb - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #db30671e - UI framework: Typography by Santhosh Thottingal
  • git #265ed494 - SX: Move Language selector out of UI Library and enhance by Santhosh Thottingal
  • git #41ad6f2c - SX Compare Contents: Create component skeleton (task T241589) by NikG
  • git #f87b42bc - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader
  • git #72870a10 - SX: Introduce language model class by Santhosh Thottingal
  • git #816f28a7 - Section translation: version 0.1.0+20200714 by Santhosh Thottingal
  • git #657308bb - SX: Fix passing of count in Suggestions API by Santhosh Thottingal
  • git #794abfac - SX: Remove unwanted api param from fetchSupportedLanguageCodes by Santhosh Thottingal
  • git #747317ea - Vue CXSuggestionList: Add source/target language data properties (task T253253) by NikG
  • git #5ad57a63 - SX Language info: Fetch from a production wiki instead of local wiki by Santhosh Thottingal
  • git #c0fd2d99 - CX Vue Dashboard: Add language selector to translation list (task T253253) by NikG

CreditsSource[edit]

  • git #da5d61b6 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #936a7ff5 - build: Updating npm dependencies by libraryupgrader

Dashiki[edit]

  • git #af360fb4 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #a51c1259 - build: Updating npm dependencies by libraryupgrader

Disambiguator[edit]

  • git #2b7e577c - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #ef804fa8 - build: Updating npm dependencies by libraryupgrader

DiscussionTools[edit]

DismissableSiteNotice[edit]

  • git #4cf6e840 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #c1d9b2b1 - build: Updating npm dependencies by libraryupgrader

DonationInterface[edit]

  • git #819bff32 - Add variant for PAN explanation text. by cstone
  • git #d513868b - Fix cursor for form fields by Elliott Eggleston
  • git #388e8575 - Fix method signature for newFailure by Elliott Eggleston

DoubleWiki[edit]

  • git #1587c9c4 - build: Updating grunt to 1.2.1 by libraryupgrader

DynamicSidebar[edit]

  • git #09addc3c - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #c96d7fe4 - build: Updating npm dependencies by libraryupgrader

Echo[edit]

  • git #866a9e06 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #ec8d9476 - Fixing typo in apihelp-echopushsubscriptions+delete-example: by Base
  • git #d5641dd9 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

Elastica[edit]

  • git #3b512e54 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #71521f52 - build: Updating npm dependencies by libraryupgrader

ElectronPdfService[edit]

  • git #284b8ef0 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #cb9c9253 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

EntitySchema[edit]

  • git #50daa317 - Replace deprecated phpunit assert methods by Umherirrender

EventBus[edit]

No changes for EventBus

EventLogging[edit]

No changes for EventLogging

EventStreamConfig[edit]

  • git #a01236f6 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #195b5104 - build: Updating npm dependencies by libraryupgrader

ExtensionDistributor[edit]

  • git #d073568e - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #62c7a157 - build: Updating npm dependencies by libraryupgrader

ExternalGuidance[edit]

  • git #3d9c68ef - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #9668a256 - build: Updating npm dependencies by libraryupgrader

FeaturedFeeds[edit]

  • git #685677be - build: Updating grunt to 1.2.1 by libraryupgrader

FileExporter[edit]

  • git #03e57aa2 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #7627e36d - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

FileImporter[edit]

FlaggedRevs[edit]

  • git #0aca1069 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #42cd7cab - build: Updating npm dependencies by libraryupgrader

Flow[edit]

No changes for Flow

FundraiserLandingPage[edit]

  • git #f7a39fb0 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #a4f6146f - build: Updating npm dependencies by libraryupgrader

FundraisingTranslateWorkflow[edit]

  • git #10ffcfde - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #bb0859e4 - build: Updating npm dependencies by libraryupgrader

Gadgets[edit]

  • git #e52e01a5 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #4f024933 - build: Updating npm dependencies by libraryupgrader

GeoCrumbs[edit]

  • git #3bdd06b1 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #8f9dbea9 - build: Updating npm dependencies by libraryupgrader

GeoData[edit]

  • git #50aba372 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #e31f8dda - build: Updating npm dependencies by libraryupgrader

GettingStarted[edit]

  • git #a9149eb4 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #9d1a5dc4 - build: Updating npm dependencies by libraryupgrader

GlobalBlocking[edit]

  • git #9ed56cb5 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #851eceec - build: Updating npm dependencies by libraryupgrader

GlobalCssJs[edit]

  • git #004fa51d - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #e5021818 - build: Updating npm dependencies by libraryupgrader

GlobalPreferences[edit]

GlobalUsage[edit]

  • git #e7dc9a39 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #75dc68c1 - build: Updating npm dependencies by libraryupgrader

GlobalUserPage[edit]

  • git #d41375de - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #8718fa51 - build: Updating npm dependencies by libraryupgrader

GoogleNewsSitemap[edit]

  • git #781f9c7e - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #037229bd - build: Updating npm dependencies by libraryupgrader

Graph[edit]

  • git #cdc2e318 - build: Updating grunt to 1.2.1 by libraryupgrader

GrowthExperiments[edit]

GuidedTour[edit]

No changes for GuidedTour

GWToolset[edit]

  • git #3cb80334 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #882ac818 - build: Updating npm dependencies by libraryupgrader

ImageMap[edit]

  • git #f9c4c059 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #fbc6ae6a - build: Updating npm dependencies by libraryupgrader

InputBox[edit]

  • git #09cb1bfe - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #540ffca7 - build: Updating npm dependencies by libraryupgrader

Insider[edit]

  • git #05f894df - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #81d54feb - build: Updating npm dependencies by libraryupgrader

intersection[edit]

  • git #697a6a5e - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #091cf06e - build: Updating npm dependencies by libraryupgrader

Interwiki[edit]

  • git #eaee09bb - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #1e6e5fb8 - build: Updating npm dependencies by libraryupgrader

InterwikiSorting[edit]

  • git #7b959b4a - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #ad555049 - build: Updating npm dependencies by libraryupgrader

Jade[edit]

No changes for Jade

Josa[edit]

  • git #1ea4f2e6 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #c85421fa - build: Updating npm dependencies by libraryupgrader

JsonConfig[edit]

  • git #236def7a - build: Updating grunt to 1.2.1 by libraryupgrader

Kartographer[edit]

LabeledSectionTransclusion[edit]

  • git #ed1dc55a - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #220762ab - build: Updating npm dependencies by libraryupgrader

LandingCheck[edit]

  • git #831efcc1 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #caf1436c - build: Updating npm dependencies by libraryupgrader

LdapAuthentication[edit]

  • git #750562b1 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #6f306ad1 - build: Updating npm dependencies by libraryupgrader

Linter[edit]

  • git #44026e9e - build: Updating grunt to 1.2.1 by libraryupgrader

LiquidThreads[edit]

  • git #2e29519d - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #14029273 - build: Updating npm dependencies by libraryupgrader

Listings[edit]

  • git #73cecf25 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #7bfe5f6b - build: Updating npm dependencies by libraryupgrader

LocalisationUpdate[edit]

  • git #536b2c64 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #53aecfa5 - build: Updating npm dependencies by libraryupgrader

LoginNotify[edit]

  • git #bac83f25 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #0f207ef3 - build: Updating npm dependencies by libraryupgrader

MachineVision[edit]

MapSources[edit]

  • git #57076298 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #a5609b8b - build: Updating npm dependencies by libraryupgrader

MassMessage[edit]

  • git #3f2d1ce1 - build: Run stylelint also for less files by Umherirrender
  • git #2679f1e9 - build: Updating grunt to 1.2.1 by libraryupgrader

Math[edit]

  • git #ed4cc574 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #eb73dedb - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

MediaModeration[edit]

MobileApp[edit]

  • git #f608f08c - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #d36f6bb9 - build: Updating npm dependencies by libraryupgrader

MobileFrontend[edit]

MultimediaViewer[edit]

  • git #35974b6a - build: Updating grunt to 1.2.1 by libraryupgrader

NavigationTiming[edit]

  • git #40e70cd9 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #13338d9a - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

Newsletter[edit]

  • git #bd46d397 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #a2bb94c4 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

NewUserMessage[edit]

  • git #a95e2de0 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #2d503e64 - build: Updating npm dependencies by libraryupgrader

Nuke[edit]

  • git #154c3155 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #b3fec363 - build: Updating npm dependencies by libraryupgrader

OATHAuth[edit]

  • git #c145aed9 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #8a2087a7 - build: Updating npm dependencies by libraryupgrader

OAuth[edit]

  • git #5afa2ed0 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #a36e79e6 - build: Updating npm dependencies by libraryupgrader
  • git #06cf7f7e - Add "version" in extension.json by Petr Pchelko

OAuthRateLimiter[edit]

No changes for OAuthRateLimiter

OpenStackManager[edit]

  • git #cbf817e8 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #2b120f73 - build: Updating npm dependencies by libraryupgrader

ORES[edit]

  • git #a35aecc1 - build: Updating grunt to 1.2.1 by libraryupgrader

PageAssessments[edit]

  • git #a021f35d - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #d11e1b88 - build: Updating npm dependencies by libraryupgrader

PagedTiffHandler[edit]

  • git #c8ddf164 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #6212d60f - build: Updating npm dependencies by libraryupgrader

PageImages[edit]

  • git #01007b37 - build: Updating grunt to 1.2.1 by libraryupgrader

PageTriage[edit]

  • git #250d435d - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #97d73948 - build: Updating npm dependencies by libraryupgrader

PageViewInfo[edit]

  • git #2ad0407e - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #9bea4a2b - build: Updating npm dependencies by libraryupgrader

ParserFunctions[edit]

  • git #3bb2f8ed - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #f71d51e3 - build: Updating npm dependencies by libraryupgrader

PdfHandler[edit]

  • git #cd35929f - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #32991ccd - build: Updating npm dependencies by libraryupgrader

Petition[edit]

  • git #2eb1311b - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #61201623 - build: Updating npm dependencies by libraryupgrader

Poem[edit]

  • git #b66a8809 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #1976229b - build: Updating npm dependencies by libraryupgrader
  • git #5337f792 - Sync up with Parsoid poemParserTests.txt by C. Scott Ananian

PoolCounter[edit]

  • git #d626926e - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #b9fa44fc - build: Updating npm dependencies by libraryupgrader

Popups[edit]

No changes for Popups

ProofreadPage[edit]

PropertySuggester[edit]

  • git #35a30e90 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #60cd5e0e - build: Updating npm dependencies by libraryupgrader
  • git #5cc42c26 - Remove `composer dump-autoload` from README.md by Lucas Werkmeister

QuickSurveys[edit]

Quiz[edit]

  • git #5a3a8d9f - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #c4d671ab - build: Updating npm dependencies by libraryupgrader

ReadingLists[edit]

  • git #d1005411 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #1b10c822 - build: Updating npm dependencies by libraryupgrader

RelatedArticles[edit]

  • git #1d8e6d75 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #75faab3c - Selenium: run only 'ReadMore is present in Minerva' test when targeting the Beta Cluster (task T255053) by Željko Filipin

Renameuser[edit]

  • git #220b1eee - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #cffd6fcf - build: Updating npm dependencies by libraryupgrader

RevisionSlider[edit]

  • git #82780a8c - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #78ed4ab5 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

RSS[edit]

  • git #2948c412 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #944d74de - build: Updating npm dependencies by libraryupgrader

SandboxLink[edit]

  • git #39642865 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #5fab5e56 - build: Updating npm dependencies by libraryupgrader

Score[edit]

Scribunto[edit]

  • git #588f8027 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #1f0293e7 - build: Updating npm dependencies by libraryupgrader

SearchExtraNS[edit]

  • git #b0c8c95c - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #947666a6 - build: Updating npm dependencies by libraryupgrader

SecureLinkFixer[edit]

  • git #ddbe3b33 - Updating domains.php from Mozilla by SecureLinkFixer updater bot
  • git #06680e5f - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #30cf432d - build: Updating npm dependencies by libraryupgrader

SecurePoll[edit]

  • git #d2fdffa6 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #607519bd - build: Updating npm dependencies by libraryupgrader

ShortUrl[edit]

  • git #3b3eba33 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #180ee9a1 - build: Updating npm dependencies by libraryupgrader

SiteMatrix[edit]

  • git #5d3f8023 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #9b5cf256 - build: Updating npm dependencies by libraryupgrader

SpamBlacklist[edit]

  • git #909c754d - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #fd403231 - build: Updating npm dependencies by libraryupgrader

SubPageList3[edit]

  • git #1e807609 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #3529876f - build: Updating npm dependencies by libraryupgrader
  • git #1b0938ba - SubPageList3::options - use `switch` consistently by DannyS712

SubpageSortkey[edit]

  • git #9091c3cc - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #00a11377 - build: Updating npm dependencies by libraryupgrader

SyntaxHighlight_GeSHi[edit]

No changes for SyntaxHighlight_GeSHi

TemplateData[edit]

No changes for TemplateData

TemplateSandbox[edit]

No changes for TemplateSandbox

TemplateStyles[edit]

  • git #c4347588 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #f5fb5c35 - build: Updating npm dependencies by libraryupgrader

TemplateWizard[edit]

  • git #92d2ab61 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #cb76f63a - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

TextExtracts[edit]

  • git #eef6150a - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #c3f630c7 - build: Updating npm dependencies by libraryupgrader

Thanks[edit]

No changes for Thanks

TheWikipediaLibrary[edit]

No changes for TheWikipediaLibrary

TimedMediaHandler[edit]

timeline[edit]

  • git #a78025c5 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #2b61ab59 - build: Updating npm dependencies by libraryupgrader

TitleBlacklist[edit]

  • git #5349d379 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #c4a13bc1 - build: Updating npm dependencies by libraryupgrader

TocTree[edit]

  • git #c3f166a1 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #77c372ec - build: Updating npm dependencies by libraryupgrader

TorBlock[edit]

  • git #aa4820aa - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #f63c6857 - build: Updating npm dependencies by libraryupgrader

Translate[edit]

  • git #5c2ffb87 - Remove unused ext.translate.messagewebimporter by Niklas Laxström
  • git #277b6701 - Merge ext.translate.navitoggle by Niklas Laxström
  • git #81f7e0b1 - Merge ext.translate.workflowselector by Niklas Laxström
  • git #b07c95a6 - Merge jquery.autosize by Niklas Laxström
  • git #0c349ef0 - Merge jquery.ajaxdispatcher by Niklas Laxström
  • git #43373bc7 - Unbundle ext.translate.storage by Niklas Laxström
  • git #cc02d8dc - Add Special:MyLanguage for better user experience by Yuki Shira
  • git #fd482a8c - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #3befa01f - ApiTranslationCheck: Remove empty validation response from API (task T257690) by Abijeet
  • git #12bbdf26 - Tux: Check if message filter is visible before running resize (task T255621) by Abijeet
  • git #5df745e6 - Convert special page translation marking form to OOUI by Niklas Laxström

TranslationNotifications[edit]

  • git #678338fa - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #16ebe9a6 - build: Updating npm dependencies by libraryupgrader

TrustedXFF[edit]

  • git #921d714e - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #3dbc7166 - build: Updating npm dependencies by libraryupgrader

TwoColConflict[edit]

UniversalLanguageSelector[edit]

No changes for UniversalLanguageSelector

UploadsLink[edit]

  • git #4e7e43ba - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #86ec86e1 - build: Updating npm dependencies by libraryupgrader

UploadWizard[edit]

UrlShortener[edit]

UserMerge[edit]

  • git #34840cd9 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #8dd942fc - build: Updating npm dependencies by libraryupgrader

VipsScaler[edit]

  • git #fb73da3e - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #72f2613a - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

VisualEditor[edit]

  • git #d9afc7cc - Update VE core submodule to master (f5fca4289) by James D. Forrester
  • git #f0926854 - Update VE core submodule to master (549d3c3a0) by Ed Sanders
  • git #c190fab8 - Always rebuild category list from Parsoid data on surfaceReady (task T251398) by David Lynch
  • git #88efa3ab - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #8702d598 - Toggle TemplateStyles at a better time during (de)activation to avoid flashing (task T254518) by Bartosz Dziewoński
  • git #df8b4520 - Remove invalid empty translation by David Lynch

WebAuthn[edit]

  • git #e2ab709e - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #6e40f6e9 - build: Updating npm dependencies by libraryupgrader

Wikibase[edit]

WikibaseCirrusSearch[edit]

No changes for WikibaseCirrusSearch

WikibaseLexeme[edit]

  • git #a86cc9c6 - Remove stray “@group WikibaseView” by Lucas Werkmeister
  • git #71fbb020 - Use QUnitTestModule instead of deprecated ResourceLoaderTestModules (task T232875) by James D. Forrester

WikibaseLexemeCirrusSearch[edit]

  • git #b82131be - build: Updating grunt to 1.2.1 by libraryupgrader

WikibaseMediaInfo[edit]

WikibaseQualityConstraints[edit]

No changes for WikibaseQualityConstraints

Wikidata.org[edit]

  • git #f2d1d008 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #ebbc1124 - build: Updating npm dependencies by libraryupgrader

WikidataPageBanner[edit]

  • git #c6cb8f62 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #d6991924 - build: Updating npm dependencies by libraryupgrader

WikiEditor[edit]

  • git #5b18e65d - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #d3fab1c4 - build: Updating npm dependencies by libraryupgrader

wikihiero[edit]

  • git #24877c4d - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #53a9589c - build: Updating npm dependencies by libraryupgrader

WikiLove[edit]

  • git #99736f98 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #27b4a5a0 - build: Updating npm dependencies by libraryupgrader

WikimediaApiPortalOAuth[edit]

WikimediaBadges[edit]

  • git #5cd875df - build: Updating npm dependencies by libraryupgrader

WikimediaEditorTasks[edit]

WikimediaEvents[edit]

No changes for WikimediaEvents

WikimediaIncubator[edit]

  • git #c0141ba0 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #2cdf85cb - build: Updating npm dependencies by libraryupgrader

WikimediaMaintenance[edit]

  • git #57b6be24 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #a6ac3d56 - build: Updating npm dependencies by libraryupgrader
  • git #2eea31cc - blameStartupRegistry.php: remove vue2 by Lucas Werkmeister
  • git #1030f784 - blameStartupRegistry.php: remove vuex by Lucas Werkmeister
  • git #156af42f - Add $argId to getArg call in maintnenance script by Ammar Abdulhamid

WikimediaMessages[edit]

Wikisource[edit]

  • git #ffcce89f - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #aa927e56 - build: Updating npm dependencies by libraryupgrader

XAnalytics[edit]

  • git #790c61ec - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #1fe50bd5 - build: Updating npm dependencies by libraryupgrader

Skins[edit]

CologneBlue[edit]

  • git #7090e0c8 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #7153d1a2 - build: Updating npm dependencies by libraryupgrader
  • git #91a50ad6 - CologneBlue: Remove usage of $wgUseTwoButtonsSearchForm config variable (task T256568) by Ammar Abdulhamid

MinervaNeue[edit]

  • git #6b8f8568 - Restrict the number of errors we log in a given session by jdlrobson
  • git #101730e3 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader
  • git #49c8c0f0 - Selenium: Update WebdriverIO to version 6 (task T255447) by Edward Tadros

Modern[edit]

  • git #90767448 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #57c2ff7f - build: Updating npm dependencies by libraryupgrader

MonoBook[edit]

  • git #9b79463b - build: Updating grunt to 1.2.1 by libraryupgrader

Nostalgia[edit]

  • git #f2c5543a - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #edf1bc03 - build: Updating npm dependencies by libraryupgrader

Timeless[edit]

  • git #cffcff54 - build: Updating grunt to 1.2.1 by libraryupgrader

Vector[edit]

WikimediaApiPortal[edit]

  • git #98a012b6 - build: Updating eslint-config-wikimedia to 0.16.2 by libraryupgrader

VisualEditor[edit]

  • git #3aaa5e05 - build: Updating grunt to 1.2.1 by libraryupgrader
  • git #549d3c3a - Follow-up I4c34e936: Check deletion sequences after programmatic delete by Ed Sanders
  • git #7f21a835 - ve.dm.Model: Fix typo in a comment by Bartosz Dziewoński
  • git #9585ffb9 - ve.ui.CommandHelpDialog: Make it possible to reuse fancy CSS for shortcuts by Bartosz Dziewoński
  • git #99d10490 - ve.ui.LinearContextItem: Fix alignment of the close button on mobile (task T257151) by Bartosz Dziewoński

Total Changes[edit]

566 Changes in 175 repos by 78 authors